Subject: bug#9639: 24.0.90; Problem with bury-buffer in minibuffer-hide-completions

From: martin rudalics <[email-masked]>
Date: Tue, 04 Oct 2011 17:51:22 +0200

> In Emacs-23, marking the window as dedicated via
 > display-buffer-mark-dedicated was handy but indeed had the disadvantage
 > of preventing the window's reuse by display-buffer.  I think in Emacs-24
 > this disadvantage is less serious because the completion code is a lot
 > more careful to not leave the *Completion* displayed too long.
 > So making display-buffer-mark-dedicated work (which we need to do in any
 > case) should be all that's needed to fix the bug.
 >
 > But of course, if we can get the *Completions* window/frame deleted
 > without marking it as dedicated, that'd be fine as well.

I think both `quit-window' and `bury-buffer' should handle this the same
way now.  So if bug#7368 has not been resolved yet we should be able to
display completions in a non-dedicated window and quit that afterwards.

martin